MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002348VCMIGUI - Adventure Mappublic2015-12-15 07:352016-01-09 12:43
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionduplicate 
PlatformOSOS Version
Product Version0.98e 
Target VersionFixed in Version0.98g 
Summary0002348: Hotseat: crash on CTerrainRect::whichTileIsIt
DescriptionI suppose this code is old and incomplete because x and y that passed to whichTileIsIt aren't used at all. For some reason crash usually occur for me when testing game in hotseat mode.

Will add more data on it once get it next time.
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0002020resolvedSXX Crash during _my_ hero moving 
duplicate of 0001955resolvedSXX When running with GDB many rapid clicks / move commands cause client crash 

-  Notes
(0006268)
SXX (administrator)
2016-01-09 12:43

Fixed:
https://github.com/vcmi/vcmi/commit/46e3d849af7bc198032deaea4e650c45af01de4f [^]

- Issue History
Date Modified Username Field Change
2015-12-15 07:35 SXX New Issue
2015-12-15 08:58 SXX Relationship added duplicate of 0002020
2015-12-24 13:22 SXX Relationship added duplicate of 0001955
2016-01-09 12:43 SXX Note Added: 0006268
2016-01-09 12:43 SXX Status new => resolved
2016-01-09 12:43 SXX Fixed in Version => 0.98g
2016-01-09 12:43 SXX Resolution open => duplicate
2016-01-09 12:43 SXX Assigned To => SXX

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean